This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 518805 - mirror failure gives "preupgrade.PUError: Failed to download installer metadata" and no means of avoidance
mirror failure gives "preupgrade.PUError: Failed to download installer metada...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-22 23:24 EDT by Wendell Baker
Modified: 2014-01-21 18:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:41:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Wendell Baker 2009-08-22 23:24:33 EDT
Description of problem:
preupgrade fails.
Perhaps it worked once, but I need to repeat.
Now it fails outright and there is no obvious way to avoid this bad mirror

Version-Release number of selected component (if applicable):
preupgrade-1.1.0-1.fc10.noarch

How reproducible:
today it is reproducible 100%

Steps to Reproduce:
1. sudo preupgrade -y "Fedora 11 (Leonidas)" 
2.
3.
  
Actual results:

$ sudo preupgrade -d 1 -y "Fedora 11 (Leonidas)"
/usr/lib/python2.5/site-packages/yum/__init__.py:181: UserWarning: Use .preconf instead of passing args to _getConfig
  warnings.warn('Use .preconf instead of passing args to _getConfig')
Loaded plugins: blacklist, refresh-packagekit, whiteout
Detected in-progress upgrade to Fedora 11 (Leonidas)
preupgrade-main (mirrorlist) 
  url: http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-11&arch=$basearch
  now: http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-11&arch=i386
preupgrade (mirrorlist) 
  url: http://mirrors.fedoraproject.org/mirrorlist?path=pub/fedora/linux/releases/11/Fedora/$basearch/os
  now: http://mirrors.fedoraproject.org/mirrorlist?path=pub/fedora/linux/releases/11/Fedora/i386/os
preupgrade-fedora (mirrorlist) 
  url: http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-11&arch=i386
  now: http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-11&arch=i386
preupgrade-updates (mirrorlist) 
  url: http://mirrors.fedoraproject.org/mirrorlist?repo=updates-released-f11&arch=i386
  now: http://mirrors.fedoraproject.org/mirrorlist?repo=updates-released-f11&arch=i386
Fetched treeinfo from ftp://mirror.nyi.net/fedora/linux/releases/11/Fedora/i386/os//.treeinfo
Failed to download installer metadata


Expected results:

On 2009-08-20 this worked and I got further in the preupgrade path.

$ sudo preupgrade-cli "Fedora 11 (Leonidas)"
/usr/lib/python2.5/site-packages/yum/__init__.py:181: UserWarning: Use .preconf instead of passing args to _getConfig
  warnings.warn('Use .preconf instead of passing args to _getConfig')
Loaded plugins: blacklist, refresh-packagekit, whiteout
Loaded plugins: refresh-packagekit
preupgrade-main (mirrorlist) 
  url: http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-11&arch=$basearch
  now: http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-11&arch=i386
preupgrade (mirrorlist) 
  url: http://mirrors.fedoraproject.org/mirrorlist?path=pub/fedora/linux/releases/11/Fedora/$basearch/os
  now: http://mirrors.fedoraproject.org/mirrorlist?path=pub/fedora/linux/releases/11/Fedora/i386/os
preupgrade-fedora (mirrorlist) 
  url: http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-11&arch=i386
  now: http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-11&arch=i386
...etc...
...lots and lots and lots of packages (3125 packages) ...
Total download size: 3.9GB
Download packages? 
Is this ok [y/N]: 
...this took a while to update and completed successfully...

Additional info:

What I'm looking for here is at least way to avoid the particular mirror at 
ftp://mirror.nyi.net since it is the one that is failing.  preupgrade
doesn't seem to move on to another mirror.

There will always be broken mirrors.  There should be a way to recover from
that and avoid them.

Inspecting shows that
ftp://mirror.nyi.net/fedora/linux/releases/11/Fedora/i386/os//.treeinfo
550 Prohibited file name: /fedora/linux/releases/11/Fedora/i386/os//.treeinfo
Comment 1 Wendell Baker 2009-08-23 00:15:31 EDT
There seems to be some sort of state-dependency here.
I redid the preupgrade, accidentally tripping into doing it graphically.
I clicked NO to the question of whether I wanted to continue with the
currently in-progress upgrade.  The GUI output isn't pastable but is
also not instructive.  The console output is:


$ sudo preupgrade -d 1 -y "Fedora 11 (Leonidas)"
[sudo] password for wbaker: 
/usr/lib/python2.5/site-packages/yum/__init__.py:181: UserWarning: Use .preconf instead of passing args to _getConfig
  warnings.warn('Use .preconf instead of passing args to _getConfig')
Loaded plugins: blacklist, refresh-packagekit, whiteout
Detected in-progress upgrade to Fedora 11 (Leonidas)
Clearing data from upgrade to Fedora 11 (Leonidas)
<------------ answered NO to the question of whether I wanted to continue with the inprocess upgrade
preupgrade (baseurl) 
  url: http://fake.url/preupgrade
  now: http://fake.url/preupgrade
preupgrade-fedora (baseurl) 
  url: http://fake.url/preupgrade-fedora
  now: http://fake.url/preupgrade-fedora
preupgrade-updates (baseurl) 
  url: http://fake.url/preupgrade-updates
  now: http://fake.url/preupgrade-updates




Starting the preupgrade again got a new experience



$ sudo preupgrade-cli -d 1 -y "Fedora 11 (Leonidas)"
/usr/lib/python2.5/site-packages/yum/__init__.py:181: UserWarning: Use .preconf instead of passing args to _getConfig
  warnings.warn('Use .preconf instead of passing args to _getConfig')
Loaded plugins: blacklist, refresh-packagekit, whiteout
preupgrade-main (mirrorlist) 
  url: http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-11&arch=$basearch
  now: http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-11&arch=i386
preupgrade (mirrorlist) 
  url: http://mirrors.fedoraproject.org/mirrorlist?path=pub/fedora/linux/releases/11/Fedora/$basearch/os
  now: http://mirrors.fedoraproject.org/mirrorlist?path=pub/fedora/linux/releases/11/Fedora/i386/os
preupgrade-fedora (mirrorlist) 
  url: http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-11&arch=i386
  now: http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-11&arch=i386
preupgrade-updates (mirrorlist) 
  url: http://mirrors.fedoraproject.org/mirrorlist?repo=updates-released-f11&arch=i386
  now: http://mirrors.fedoraproject.org/mirrorlist?repo=updates-released-f11&arch=i386
Fetched treeinfo from http://fedora.secsup.org/linux/releases/11/Fedora/i386/os//.treeinfo
treeinfo timestamp: Tue Jun  2 15:01:41 2009
vmlinuz                                                                                        | 2.9 MB     00:09     
initrd.img                                                                                     |  18 MB     00:35     
Error: Not enough space in /boot/upgrade to download install.img.

The installer can download this file once it starts, but this requires a wired network connection during installation.

If you do not have a wired network connection available, you should quit now.
...continuing...
... lotsa packages updating ...
yumex.noarch                             2.0.5-6.fc11           preupgrade-fedora
zd1211-firmware.noarch                   1.4-2                  preupgrade-fedora
zenity.i586                              2.26.0-1.fc11          preupgrade-fedora
zidrav.i586                              1.2.0-6.fc11           preupgrade-fedora
zile.i586                                2.3.9-1.fc11           preupgrade-updates
zip.i586                                 2.31-7.fc11            preupgrade-fedora
zisofs-tools.i586                        1.0.8-4.fc11           preupgrade-fedora
zlib.i586                                1.2.3-22.fc11          preupgrade-fedora
zlib-devel.i586                          1.2.3-22.fc11          preupgrade-fedora
zsh.i586                                 4.3.9-4.fc11           preupgrade-fedora
Total download size: 3.9GB
Download packages? 


So this issue seems to have something to do with getting stuck bound
to a mirror when restarting a pre-existing (but failed) preupgrade.
Comment 2 Bug Zapper 2009-11-18 07:54:27 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 04:41:12 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.